fop 2.3

## org.apache.fop.render.gradient
Class Pattern

    java.lang.Object
      org.apache.fop.render.gradient.Pattern

    public class Pattern

extends java.lang.Object

Constructor Summary
`Pattern(int patternType, Shading shading, java.util.List<java.lang.Double> matrix)`

Method Summary
`java.util.List<java.lang.Double>` `getMatrix()`
`int` `getPatternType()` Either one (1) for tiling, or two (2) for shading.
`Shading` `getShading()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Pattern

    public Pattern(int patternType,
                   Shading shading,
                   java.util.List<java.lang.Double> matrix)

Method Detail

### getPatternType

    public int getPatternType()

  Either one (1) for tiling, or two (2) for shading.

### getShading

    public Shading getShading()

### getMatrix

    public java.util.List<java.lang.Double> getMatrix()

fop 2.3

Copyright 1999-2018 The Apache Software Foundation. All Rights Reserved.